---
updatedAt: 2025-12-04T12:09:38.000Z
agentTools:
  projectIndex: https://docs.ozonetel.com/llms.txt
---

# Delete Schedule Campaign Data (Token authentication)

Delete Scheduled Data API is used to delete the scheduled data inserted in the backend. Data is deleted based on row ID. A sequence of numbers can be deleted in a single request by passing the range of row IDs.

> 📘 APIs Domain Name
>
> **For domestic ccaas** - enter the domain: in1-ccaas-api.ozonetel.com
>
> **For international ccaas** - enter the domain: api.ccaas.ozonetel.com
>
> **For Partners** - enter the respective URL

To use this API with the help of a token, follow these steps:

1. Generate the Token: Use the ['Generate Token'](https://docs.ozonetel.com/reference/post_ca-apis-catoken-generatetoken)  API to obtain an authentication token.
2. Enter the Token ID: Navigate to the right section of this page, under the 'AUTHORIZATION' tab. Here, input the generated token ID.
3. With the token entered, pass the below header and body parameters:

## Header parameters

| Parameter    | Description      |
| :----------- | :--------------- |
| Content-Type | application/json |

## Body Params

> \{\
> "userName":"xxxxx",\
> "rowId":"xxxx"
>
> }

| Parameter | Description                                    |
| :-------- | :--------------------------------------------- |
| userName  | Your CouldAgent account username               |
| rowId\*   | Can be retrieved from Schedule Data status API |

> ❗️ Note
>
> * Data can be deleted in below methods by passing desired row\_id values
> * Single record (example: row\_id=1)
> * Multiple numbers separated by commas ( example: row\_id=2,3,5,6)
> * Range of numbers by passing rage (example: row\_id=3-10)
> * Parameters with ‘\*’ are considered to be mandatory parameters.

# Possible responses

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Success response
      </td>

      <td>
        "status": "success"  
        "message":  \{
      </td>
    </tr>

    <tr>
      <td>
        Invalid api_key
      </td>

      <td>
        "status": "error"  
        "message": "No data found"
      </td>
    </tr>

    <tr>
      <td>
        Missing row_id
      </td>

      <td>
        "status": "error"  
        "message": "Mandatory parameter row_id is missing
      </td>
    </tr>

    <tr>
      <td>
        Invalid row_id
      </td>

      <td>
        "status": "error"  
        "message": "No data found"
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Delete Schedule Campaign Data Java Token",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://{domainname}/",
      "description": "The production API server",
      "variables": {
        "username": {
          "default": "in1-ccaas-api.ozonetel.com"
        }
      }
    }
  ],
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  },
  "paths": {
    "/ca_apis/deleteScheduledData": {
      "delete": {
        "tags": [
          "default"
        ],
        "summary": "deleteScheduledData_Java Copy",
        "description": "Generated from cURL: curl --location 'https://api.pre-prod.ozonetel.com/ca_apis/PhoneManageV2' \\\r\n--header 'apiKey: KK00b15555afb7066312663b969a75f74d' \\\r\n--header 'Content-Type: application/json' \\\r\n--data '{\r\n    \"userName\":\"preprod\",\r\n    \"row_id\":\"121\"\r\n\r\n\r\n}'",
        "requestBody": {
          "content": {
            "*/*": {
              "schema": {
                "type": "string",
                "example": {
                  "campaignName": "xxxxxx",
                  "phoneNumber": "830xxxxxxx",
                  "Name": "xxxxx",
                  "action": "xxxxx",
                  "skill": "xxxxx",
                  "priority": "xx",
                  "agentId": "xxxxx",
                  "expiryDate": "YYYY-MM-DD",
                  "checkDuplicate": "xxxx",
                  "userName": "xxxxxx"
                }
              }
            }
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string"
            },
            "example": "application/json"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {}
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```